Opened 2 years ago

Closed 2 years ago

#5492 closed change (rejected)

ABP marked "Legacy" in FF 55

Reported by: traynard Assignee:
Priority: Unknown Milestone:
Module: Adblock-Plus-for-Firefox Keywords:
Cc: Blocked By:
Blocking: Platform: Firefox
Ready: no Confidential: no
Tester: Unknown Verified working: no
Review URL(s):

Description

Environment

Firefox 55 marks ABP addon as "Legacy". This is due to an update coming in November that will change the addon framework.

More information here: https://support.mozilla.org/en-US/kb/firefox-add-technology-modernizing?as=u&utm_source=inproduct

How to reproduce

  1. Ensure ABP is installed and browser version is FF 55.0
  2. Navigate to about:addons
  3. Notice the "Legacy" label shown on ABP

Clicking the Legacy tag takes you to the link above for an explanation.

Observed behaviour

Legacy tag shown on ABP - Soon the framework will be changing which will disable the non-compatible addons. Note: The change seems to have already hit FF Nightly which is likely the cause of issue #5398

Expected behaviour

ABP should be updated so it can be supported by Firefox 57+ with the new framework

Change History (3)

comment:1 Changed 2 years ago by traynard

  • Type changed from defect to change

comment:2 Changed 2 years ago by traynard

  • Component changed from Unknown to Adblock-Plus-for-Firefox

comment:3 Changed 2 years ago by trev

  • Resolution set to rejected
  • Status changed from new to closed

Mass-closing all bugs in Adblock Plus for Firefox module, the codebase of Adblock Plus 3.0 belongs into Platform and User-Interface modules. Old bugs are unlikely to still apply.

Note: See TracTickets for help on using tickets.